<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xml>
<Configuration >
	<Appenders>
		<RollingFile name="FileLogging" 
			fileName="${sys:catalina.home}/logs/spg_root.log" 
			filePattern="${sys:catalina.home}/logs/%d{ddMMyyyy}_spg_root.log"
			immediateFlush="true" 
			append="true">
			<PatternLayout pattern="%d{yyy-MM-dd HH:mm:ss.SSS} [%t] %-5level %C{1}:%L - %msg%n" />
			<Policies>
				<TimeBasedTriggeringPolicy interval="1" />
			</Policies>
		</RollingFile>
		<RollingFile name="ErrorFileLogging" 
			fileName="${sys:catalina.home}/logs/spg_error.log" 
			filePattern="${sys:catalina.home}/logs/%d{ddMMyyyy}_spg_error.log"
			immediateFlush="true" 
			append="true">
			<PatternLayout pattern="%d{yyy-MM-dd HH:mm:ss.SSS} [%t] %-5level %C{1}:%L - %msg%n" />
			<BurstFilter level="WARN" rate="0" maxBurst="0"/>
			<Policies>
				<TimeBasedTriggeringPolicy interval="1" />
			</Policies>
		</RollingFile>
		<RollingFile name="SlowProcessLogging" 
			fileName="${sys:catalina.home}/logs/spg_slow.log" 
			filePattern="${sys:catalina.home}/logs/%d{ddMMyyyy}_spg_slow.log"
			immediateFlush="true" 
			append="true">
			<PatternLayout pattern="%d{yyy-MM-dd HH:mm:ss.SSS} [%t] %-5level %C{1}:%L - %msg%n" />
			<Policies>
				<TimeBasedTriggeringPolicy interval="1" />
			</Policies>
		</RollingFile>
	</Appenders>
	<Loggers>
		<Logger name="com.anteater.library.api.interceptor.SlowProcessingInterceptor" level="debug">
            <appender-ref ref="SlowProcessLogging"/>
        </Logger>
        <Logger name="org.hibernate" level="info" additivity="false">
		  <AppenderRef ref="FileLogging"/>
		</Logger>
        <Root level="debug">
			<appender-ref ref="FileLogging" level="debug"/>
			<appender-ref ref="ErrorFileLogging" level="error"/>
		</Root>
	</Loggers>
</Configuration>